> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Gradient

> Generate a gradient between two colors.



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/color/gradient
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/color/gradient:
    get:
      tags:
        - Color Utilities
      summary: Generate Gradient
      description: Generate a gradient between two colors.
      operationId: generate_gradient_v1_color_gradient_get
      parameters:
        - name: color1
          in: query
          required: true
          schema:
            type: string
            description: Start hex color
            title: Color1
          description: Start hex color
        - name: color2
          in: query
          required: true
          schema:
            type: string
            description: End hex color
            title: Color2
          description: End hex color
        - name: steps
          in: query
          required: false
          schema:
            type: integer
            maximum: 20
            minimum: 2
            description: Number of steps in gradient
            default: 5
            title: Steps
          description: Number of steps in gradient
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````